For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd/Edit Bank Details
      • PATCHChange the auto-withdrawal setting
      • POSTCreate a bank transfer method
      • DELDelete Bank Details
      • POSTDynamic Requirements
      • GETFetch all payout methods
      • GETGet Bank Details
      • GETGet bank transfer requirements
      • GETGet bank transfer supported routes for contractor
      • GETGet the auto-withdrawal setting
      • GETList Contractor Balances
      • POSTRequest to withdraw funds
      • PUTUpdate a bank transfer method
      • POSTUpdate auto withdraw setting for contractor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPayouts

Get bank transfer supported routes for contractor

GET
/payouts/contractors/methods/bank_transfers/supported_routes
GET
/rest/v2/payouts/contractors/methods/bank_transfers/supported_routes
$curl https://api.letsdeel.com/rest/v2/payouts/contractors/methods/bank_transfers/supported_routes \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "AE": [
4 "AED",
5 "GBP",
6 "USD"
7 ],
8 "AR": [
9 "ARS",
10 "EUR",
11 "USD"
12 ]
13 }
14}

Returns all bank transfer routes available to the authenticated contractor. Token scopes: worker:read, worker:write

Was this page helpful?
Previous

Get the auto-withdrawal setting

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
datamap from strings to lists of strings
A mapping of country codes to arrays of supported currency codes

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error